Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:37 2009

## Asterisk developer's documentation

# dundi_query_state Struct Reference

Collaboration diagram for dundi_query_state:

[legend]

## Data Fields

char | called_context [AST_MAX_EXTENSION]
char | called_number [AST_MAX_EXTENSION]
void * | chal
int | challen
int | directs [DUNDI_MAX_STACK+1]
dundi_eid * | eids [DUNDI_MAX_STACK+1]
char | fluffy [0]
struct dundi_mapping * | maps
int | nocache
int | nummaps
dundi_eid | reqeid
struct dundi_transaction * | trans
int | ttl

## Detailed Description

Definition at line 513 of file pbx_dundi.c.

## Field Documentation

char called_context[AST_MAX_EXTENSION]

Definition at line 517 of file pbx_dundi.c.

Referenced by dundi_answer_entity(), dundi_answer_query(), dundi_lookup_thread(), dundi_precache_thread(), dundi_prop_precache(), and dundi_query_thread().

char called_number[AST_MAX_EXTENSION]

Definition at line 518 of file pbx_dundi.c.

Referenced by dundi_answer_query(), dundi_lookup_thread(), dundi_precache_thread(), dundi_prop_precache(), and dundi_query_thread().

void* chal

Definition at line 523 of file pbx_dundi.c.

int challen

Definition at line 524 of file pbx_dundi.c.

int directs[DUNDI_MAX_STACK+1]

Definition at line 515 of file pbx_dundi.c.

Referenced by dundi_answer_query(), dundi_lookup_thread(), and dundi_prop_precache().

dundi_eid* eids[DUNDI_MAX_STACK+1]

Definition at line 514 of file pbx_dundi.c.

Referenced by dundi_answer_entity(), dundi_answer_query(), dundi_lookup_thread(), dundi_precache_thread(), dundi_prop_precache(), and dundi_query_thread().

char fluffy[0]

Definition at line 526 of file pbx_dundi.c.

Referenced by dundi_answer_entity(), dundi_answer_query(), and dundi_prop_precache().

struct dundi_mapping* maps`[read]`

Definition at line 519 of file pbx_dundi.c.

Referenced by dundi_answer_query(), dundi_lookup_thread(), and dundi_prop_precache().

int nocache

Definition at line 521 of file pbx_dundi.c.

Referenced by dundi_answer_query(), dundi_lookup_thread(), and dundi_prop_precache().

int nummaps

Definition at line 520 of file pbx_dundi.c.

Referenced by dundi_answer_query(), dundi_lookup_thread(), and dundi_prop_precache().

dundi_eid reqeid

Definition at line 516 of file pbx_dundi.c.

Referenced by dundi_answer_entity(), and dundi_query_thread().

struct dundi_transaction* trans`[read]`

Definition at line 522 of file pbx_dundi.c.

Referenced by dundi_answer_entity(), dundi_answer_query(), dundi_lookup_thread(), dundi_precache_thread(), dundi_prop_precache(), and dundi_query_thread().

int ttl

Definition at line 525 of file pbx_dundi.c.

Referenced by dundi_answer_entity(), dundi_answer_query(), dundi_lookup_thread(), dundi_precache_thread(), dundi_prop_precache(), and dundi_query_thread().

The documentation for this struct was generated from the following file:

- pbx_dundi.c